/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'; 
import ListItemIcon from '@material-ui/core/ListItemIcon';
import HomeIcon from '@material-ui/icons/Home';
import PeopleRoundedIcon from '@material-ui/icons/PeopleRounded';
import ContactSupportRoundedIcon from '@material-ui/icons/ContactSupportRounded';
import LanguageRoundedIcon from '@material-ui/icons/LanguageRounded';
import AccountBalanceRoundedIcon from '@material-ui/icons/AccountBalanceRounded';
import MenuBookRoundedIcon from '@material-ui/icons/MenuBookRounded';
import StarRoundedIcon from '@material-ui/icons/StarRounded';
import AccountCircleRoundedIcon from '@material-ui/icons/AccountCircleRounded';
import TrendingUpRoundedIcon from '@material-ui/icons/TrendingUpRounded';
import HelpRoundedIcon from '@material-ui/icons/HelpRounded';
import CheckRoundedIcon from '@material-ui/icons/CheckRounded';
import PersonRoundedIcon from '@material-ui/icons/PersonRounded';
import BlockRoundedIcon from '@material-ui/icons/BlockRounded';
import AnnouncementRoundedIcon from '@material-ui/icons/AnnouncementRounded';
import EmailRoundedIcon from '@material-ui/icons/EmailRounded';
import TimelineRoundedIcon from '@material-ui/icons/TimelineRounded';
import SettingsRoundedIcon from '@material-ui/icons/SettingsRounded';
import ExitToAppRoundedIcon from '@material-ui/icons/ExitToAppRounded';
import AllOutIcon from '@material-ui/icons/AllOut'; 

//This file manipulate the icon that will be displayed in the left navigation menu 

const orange = '#ff7f00'; 
const pink = '#e81f4f'; 
const purple = '#673ab7'; 
const  blue = '#00bcd4'

const DisplayIcon = ( props ) => {
    if(props.label === 'Home'){
        return(
            <ListItemIcon>
                <HomeIcon
                    style={{fill : orange}}
                /> 
            </ListItemIcon>
        );
    } else if(props.label === 'Atividades'){
        return(
            <ListItemIcon>
                <PeopleRoundedIcon
                    style={{fill : pink}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Coleções'){
        return(
            <ListItemIcon>
                <AllOutIcon
                    style={{fill : purple}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Dúvidas da comunidade'){
        return(
            <ListItemIcon>
                <ContactSupportRoundedIcon
                    style={{fill : blue}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Instituições'){
        return(
            <ListItemIcon>
                <AccountBalanceRoundedIcon
                    style={{fill : orange}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Linguagens'){
        return(
            <ListItemIcon>
                <LanguageRoundedIcon
                    style={{fill : pink}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Objetos educacionais'){
        return(
            <ListItemIcon>
                <MenuBookRoundedIcon
                    style={{fill : purple}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Rating'){
        return(
            <ListItemIcon>
                <StarRoundedIcon
                    style={{fill : blue}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Permissões do usuário'){
        return(
            <ListItemIcon>
                <AccountCircleRoundedIcon
                    style={{fill : orange}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Variáveis de nota'){
        return(
            <ListItemIcon>
                <TrendingUpRoundedIcon
                    style={{fill : pink}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Perguntas curadoria'){
        return(
            <ListItemIcon>
                <HelpRoundedIcon
                    style={{fill : purple}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Aprovação de professores'){
        return(
            <ListItemIcon>
                <CheckRoundedIcon
                    style={{fill : blue}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Usuários'){
        return(
            <ListItemIcon>
                <PersonRoundedIcon
                    style={{fill : orange}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Usuários bloqueados'){
        return(
            <ListItemIcon>
                <BlockRoundedIcon
                    style={{fill : pink}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Denúncias'){
        return(
            <ListItemIcon>
                <AnnouncementRoundedIcon
                    style={{fill : purple}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Enviar email'){
        return(
            <ListItemIcon>
                <EmailRoundedIcon
                    style={{fill : blue}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Métricas'){
        return(
            <ListItemIcon>
                <TimelineRoundedIcon
                    style={{fill : orange}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Configurações'){
        return(
            <ListItemIcon>
                <SettingsRoundedIcon
                    style={{fill : pink}}
                />
            </ListItemIcon>
        );
    } else if(props.label === 'Sair'){
        return(
            <ListItemIcon>
                <ExitToAppRoundedIcon
                    style={{fill : purple}}
                />
            </ListItemIcon>
        );
    }
} 
export default DisplayIcon; 